Subject: Re: NEW ISSUE: http URLvs Request-URI, was: 3.2.2 issue

From: Mark Nottingham <[email-masked]>
Date: Tue, 24 Apr 2007 17:28:52 +1000

Now issue 58;
   http://www.w3.org/Protocols/HTTP/1.1/rfc2616bis/issues/#i58

On 23/01/2007, at 10:44 PM, Julian Reschke wrote:

>
> Mark Baker schrieb:
>> On 1/22/07, Henrik Nordstrom <[email-masked]> wrote:
>>> sön 2007-01-21 klockan 20:35 -0500 skrev Mark Baker:
>>> > This was posted to rest-discuss earlier this month, and  
>>> suggests an
>>> > issue with 3.2.2.
>>>
>>> I don't quite get the issue. It says that the resource on the server
>>> that acts on the request is identified by the abs_path, but so what?
>> It's wrong.  The resource is identified by the whole URI (or abs_path
>> + query in this context).
> >
>>> It
>>> also defines that there may be a query to that resource as part  
>>> of the
>>> URL. The meaning of the query is defined in RFC2396 which also  
>>> has the
>>> same definition of resource.
>>>
>>> But the sentence is quite irrelevant as the specs do not really  
>>> define
>>> how servers implement or define the resources, and the resource  
>>> which
>>> acts on the request is also quite irrelevant to the specs..
>> Agreed, but I think we should fix the error mentioned above either by
>> removing all mention of the identified resource, or by saying it's
>> identified by abs_path + query.  I suppose I'd prefer the former (for
>> the reasoning you give), but the latter is a less disruptive fix.
>> *shrug*
>
> I agree that this needs to be fixed (re-open issue 11, MNot?).
>
> 3.2.2 really doesn't say what identifies the resource:
>
> "If the port is empty or not given, port 80 is assumed. The  
> semantics are that the identified resource is located at the server  
> listening for TCP connections on that port of that host, and the  
> Request-URI for the resource is abs_path (Section 5.1.2)."
>
> But it *does* say what part of the HTTP URL becomes the Request- 
> URI, and that definitively needs to be fixed.
>
> Here's a proposed replacement text:
>
> "The semantics are that the identified resource is located at the  
> server listening for TCP connections on that port of that host, and  
> the Request-URI for the resource is abs_path plus the optional  
> query parameter (Section 5.1.2)."
>
> Best regards, Julian
>

--
Mark Nottingham     http://www.mnot.net/